
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Integer.parseInt(&amp;quot;&amp;quot;) Integer.valueOf(&amp;quot;&amp;quot;)和new Integer(&amp;quot;&amp;quot;)之间的区别 / iVAN</title>

    <meta name="description" content="Integer.parseInt(&amp;quot;&amp;quot;) Integer.valueOf(&amp;quot;&amp;quot;)和new Integer(&amp;quot;&amp;quot;)之间的区别 把一个String转换成int有Integer.parseInt(&quot;&quot;). Integer.valueOf(&quot;&quot;)和new Integer(&quot;&quot;)这么几种方式,它们之间有什么区别呢?我们可以分别看一下它们的源码 //Integer.parseInt(&quot;&quot;) public static int parseInt(String s) throws NumberFormatException { return parseI ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Integer.parseInt(&amp;quot;&amp;quot;) Integer.valueOf(&amp;quot;&amp;quot;)和new Integer(&amp;quot;&amp;quot;)之间的区别</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>把一个String转换成int有<code>Integer.parseInt("")</code>、 <code>Integer.valueOf("")</code>和<code>new Integer("")</code>这么几种方式，它们之间有什么区别呢？我们可以分别看一下它们的源码</p>
<pre><code>//Integer.parseInt("")
public static int parseInt(String s) throws NumberFormatException {
  return parseInt(s,10);
}
//Integer.valueOf("")
public static Integer valueOf(String s) throws NumberFormatException {
  return Integer.valueOf(parseInt(s, 10));
}
//new Integer("")
public Integer(String s) throws NumberFormatException {
  this.value = parseInt(s, 10);
}
</code></pre>
<p>从源码中可以看出，<code>Integer.valueOf("")</code>和<code>Integer.parseInt("")</code>内部实现是一样的，它们之间唯一的区别就是<strong>Integer.valueOf(“”)返回的是一个Integer对象，而Integer.parseInt(“”)返回的是一个基本类型的int</strong>。</p>
<p>我们再看<code>Integer.valueOf("")</code>和<code>new Integer("")</code>，它们<strong>同样返回的是一个Integer对象</strong>，但它们又有什么区别呢？我们再进入<code>Integer.valueOf(parseInt(s, 10) )</code>方法内部：</p>
<pre><code>public static Integer valueOf(int i) {
  if (i &gt;= IntegerCache.low &amp;&amp; i &lt;= IntegerCache.high)
  return IntegerCache.cache[i + (-IntegerCache.low)];
  return new Integer(i);
}
</code></pre>
<p>我们可以看到，<code>Integer.valueOf("")</code>会用到<code>IntegerCache</code>对象，当<code>IntegerCache</code>中存在时就从cache中取，不存在时才会调用<code>new Integer(i)</code>构造函数返回一个Integer对象。<strong>所以<code>Integer.valueOf("")</code>会用到cache，其效率可能会比用构造函数<code>new Integer(i)</code>高</strong>。</p>
<p>关于<code>IntegerCache</code>，在-127~128之间的值都会被cache，所以当我们要的值位于这个区间时<strong>返回的都是同一个实例</strong>，例如：</p>
<pre><code>System.out.println(Integer.valueOf(5) == Integer.valueOf(5));
System.out.println(Integer.valueOf(500) == Integer.valueOf(500));
</code></pre>
<p>上面程序的运行结果是：</p>
<pre><code>    false //会用到缓存
    true  //不会用到缓存
</code></pre>
<p>综上所述：</p>
<ul>
<li>当我们需要的是一个基本类型<em>* int *</em>的时候我们需要使用<code>Integer.parseInt()</code>函数</li>
<li>当我们需要的是一个<strong>Integer</strong>对象类的时候我们就是用<code>Integer.valueOf()</code>函数</li>
</ul>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:25:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/static/" title="static">static</a>, <a href="https://www.iamivan.net/tag/cache/" title="Cache">Cache</a>, <a href="https://www.iamivan.net/tag/%e6%ba%90%e7%a0%81/" title="源码">源码</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Integer.parseInt(&amp;quot;&amp;quot;) Integer.valueOf(&amp;quot;&amp;quot;)和new Integer(&amp;quot;&amp;quot;)之间的区别的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxWGoQb.html" rel="bookmark">Integer&period;parseInt&lpar;String s &comma;int radix&rpar;方法使用解释</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法parseInt(String s,int radix)的目的是输出一个十进制数,这个数字是&quot;String s&quot;但是我们要知道他是多少进制的,而方法中&quot;int radix&quot;参数正是来表达这个信息的.  比如:parseInt(1010,2) 意思就是:输出2进制数1010在十进制下的数. 更直白地说:parseInt(String s,int radix)就是求&quot;int radix&quot;进制数&quot;String s&quot;的十进制数是多			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN7RoNp.html" rel="bookmark">temp1 &equals;Integer&period;parseInt&lpar;String&period;valueOf&lpar;cardId&period;charAt&lpar;len&rpar;&rpar;&rpar;&semi;这句为什么不能运行，错误是未知数据愿？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 importjava.util.*;publicclassStringPractise{publicstaticStringstr(){Scannerinput=newScanner(System.in);System.out.println(&quot;请输入数字串:&quot;);StringnumStr=input.next();returnnumStr;}//身份证验证publicstaticStringidentityCardId(){inttemp1=0;StringcardId=s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mqa6A3M.html" rel="bookmark">Integer&period;valueof&lpar;&rpar; Integer&period;parseInt&lpar;&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可以认为就是返回值类型不同. static int parseInt(String s)           将字符串参数作为有符号的十进制整数进行分析. static Integer valueOf(int i)           返回一个表示指定的 int 值的 Integer 实例. static Integer valueOf(String s)           返回保持指定的 String 的值的 Integer 对象. 当你调用参数为int的方法时test(Integer.pa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baqYrJb.html" rel="bookmark">java-Java字符串数字转化为double类型不用Integer&period;parseInt</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Java字符串数字转化为double类型不用Integer.parseInt 当用了split()方法分离字符串的整数部分和小数部分后,两部分都存在了两个字符数组里,我怎么才能把每一个字符数组的每一位读出来进行转化呢 解决方案 double d = 0.0; String[] s = &quot;123.456&quot;.split(&quot;.&quot;); for (int i = 0; i &lt; s[0].length; i++) { d *= 10; d +=s.toCharA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOJLPxp.html" rel="bookmark">Integer&period;parseInt&lpar;String s&rpar;一个奇怪的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 最近做项目遇到一个很奇怪的问题,一路debug下去到现在都还没找到原因.因此发到CSDN寻求各位大牛们的专业解答!publicclassTest{publicstaticvoidmain(String[]args){Strings=&quot;٢٠١٤٠٦&quot;;System.out.println(Integer.parseInt(s));}}本来预期输出是抛异常但是发现运行结果却是运行环境是jdk1.6百思不得其解然后就debug踪下代码发现最终会调用到java.lang.Charac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8B9ob.html" rel="bookmark">求助关于Integer&period;parseInt出错的一点问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 初学者,求大神解答!!非常非常感谢!我在java项目里使用了:Num=Integer.parseInt(sum);报错信息为:java.lang.NumberFormatException:Forinputstring:&quot;﻿315&quot;我大概了解了一下,这个错误通常是因为括号内的字符串不能格式化转为整形或者越界,但是我的字符串内容就是&quot;315&quot;,前后也没有乱七八糟的字符,没有空格等,数字315也不存在越界问题.非常费解是什么情况,谢谢! 解决方案 解决方案二:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlBwZaz.html" rel="bookmark">iis-在vs打开请求ssl正常，部署在IIS上请求出现&amp;amp&semi;amp&semi;quot&semi;基础连接已经关闭&colon;意外连接被关闭&amp;amp&semi;amp&semi;quot&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在vs打开请求ssl正常,部署在IIS上请求出现&quot;基础连接已经关闭:意外连接被关闭&quot; 10C (HttpWebResponse)webrequest.GetResponse()响应的时候报错.估计是IIS配置问题? 解决方案 IIS的超时如果设置的太短,而网络访问时间太长,会导致这个问题. 解决方案二: 说错了,是asp.net执行超时限制 参考 http://www.cnblogs.com/kingboy2008/p/3711143.html 解决方案三: 超时了,或服务端			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDWY2Bp.html" rel="bookmark">link环境下如何使用&amp;amp&semi;amp&semi;quot&semi;md5&amp;amp&semi;amp&semi;quot&semi;技术制作下载器和《网盘软件》之间的同步？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 link环境下如何使用&quot;md5&quot;技术制作下载器和&lt;网盘软件&gt;之间的同步? link环境下如何使用&quot;md5&quot;技术制作下载器和&lt;网盘软件&gt;之间的同步? 解决方案 计算文件的md5值,和服务器上的比较,如果不一致,就说明文件修改过啦			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPy68p.html" rel="bookmark">RadioButtonList赋值操作时报&amp;amp&semi;amp&semi;quot&semi;未将对象引用设置到对象的实例&amp;amp&semi;amp&semi;quot&semi;的错。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我在程序中:RadioButtonList_ipsnsex.Items.FindByValue(ds.Tables[&quot;Insurance&quot;].Rows[0][&quot;ipsn_sex&quot;].ToString()).Selected=true;code]报错信息为:&quot;未将对象引用设置到对象的实例&quot;但是[code=C#]RadioButtonList_ipsnsex.Items.FindByValue(&quot;男&quot;].ToString			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQrOwM.html" rel="bookmark" class="title">家用无线路由器的配置和常见问题汇总</a>
					<div>
						家用无线路由器的配置和常见问题汇总   一.路由器设置的网页存储在路由器芯片里,设置时WAN接口(路由器上蓝色接口)不需要接网线 1.路由器设置的网页存储在路由器芯片里,设置时WAN接口(路由器上蓝色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3WWgb.html" rel="bookmark" class="title">&dollar;&lpar;window&rpar;&period;height&lpar;&rpar; 文档高度问题</a>
					<div>
						遇到一个这样的问题: 有个项目做的好好的,测试时一步一步小心过来,做了一段时间后,发现前面的完成的功能出了问题了 首先描述下出问题的功能: 做滚动条下拉加载的时候用的网上找的一种方法 $(window ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjl26p.html" rel="bookmark" class="title">八招教你玩转你的淘客网</a>
					<div>
						是不是只听过&quot;淘宝网而没有听过&quot;淘客&quot;,什么叫淘客?我们可以这样理解,帮助淘宝卖家推广商品并按照成交效果获得佣金的人(可以是个人或者网站).如果你要更加详细的了解可以去阿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPADvz.html" rel="bookmark" class="title">解析Google的迷你全站链接&lpar;Mini Sitelinks&rpar;</a>
					<div>
						Google新形式的迷你全站链接(Mini Sitelinks)特点: 1,跟Sitelinks不同,Mini Sitelinks不一定排名第一才能获取,甚至第二页也有可能出现Mini Sitelin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnjqop.html" rel="bookmark" class="title">mc的本地坐标和舞台坐标的另类猎取方法</a>
					<div>
						本地坐标:(0,0)大小(100,100) &lt;?xml:namespace prefix = v ns = &quot;urn:schemas-microsoft-com:vml&quot; / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqXVab.html" rel="bookmark" class="title">在 Visual C&num; &period;NET 中建立一个平滑的进度条</a>
					<div>
						visual 本文内容概述建立一个自定义的进度条控件建立一个简单的客户端应用 ------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLkokM.html" rel="bookmark" class="title">3D装修效果图造型：粉红色的公主床</a>
					<div>
						随着人们生活水平的提高,大家对家具的要求也是越来越高,各种家具都体现出个性化.时尚化的需要.下面我们利用3DsMAX来设计一款漂亮的公主床. 制作工具:3DsMAX7.0中文版,其他版本类似. 制作床 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kZ0Zz.html" rel="bookmark" class="title">Windows PowerShell的12项功能</a>
					<div>
						解答PowerShell:PowerShell原来的开发代号是Monad,原计划是用以替代Windows中的命令行工具,但是后来微软说它只是技术上的扩充.使用PowerShell,管理员可以做任何在图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEO07b.html" rel="bookmark" class="title">C标准类型的长度bytes</a>
					<div>
						WIN2K/VC下面: [char] Size Total:1 [int] Size Total:4 [long int] Size Total:4 [float] Size Total:4 [dou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw94Qz.html" rel="bookmark" class="title">测试运行&colon; 使用Windows PowerShell进行请求&sol;响应测试</a>
					<div>
						最基本的 Web 测试格式是 HTTP 请求/响应测试.包括通过编程方式向 Web 应用程序发送 HTTP 请求.提取 HTTP 响应以及检查响应是否为预期值. 如果需要针对 ASP.NET 应用程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrDa5p.html" rel="bookmark" class="title">Photoshop技巧集锦八十条</a>
					<div>
						      Adobe Photoshop CS3 Extended 是电影.视频和多媒体领域的专业人士, 使用 3D 和动画的图形和 Web 设计人员, 以及工程和科学领域的专业人士的理想选择.呈现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNERqdb.html" rel="bookmark" class="title">Python中splitlines&lpar;&rpar;方法的使用简介</a>
					<div>
						  这篇文章主要介绍了Python中splitlines()方法的使用简介,是Python入门中的基础知识,需要的朋友可以参考下 splitlines()方法返回一个字符串的所有行,可选包括换行符列表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG2E1b.html" rel="bookmark" class="title">如何一次性清除Excel表格全半角空格</a>
					<div>
						  在A列姓名列中学生的姓名在输入时,录入了大量的全角和半角空格,我们将操作定在G列中.然后在G2单元格输入公式:=SUBSTITUTE(SUBSTITUTE(A2,&quot;&quot;,&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG4k5p.html" rel="bookmark" class="title">Win7&sol;Win8开启Telnet服务方法</a>
					<div>
						  注:以下开启Telnet服务方法适用于Win7.Win8系统,当然XP也基本类似. 一.首先进入电脑控制面板,Win7用户可以通过开始菜单找到(Win8用户可以右键左下角的Win图标找到),如下图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa67xM.html" rel="bookmark" class="title">【JSP开发】关于下载文件response的设置</a>
					<div>
						package cn.edu.Response; import java.io.FileInputStream; import java.io.FileOutputStream; import jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7Q7Xz.html" rel="bookmark" class="title">Oracle Logminer 日志挖掘</a>
					<div>
						生产环境中考虑到数据库的性能问题,很少会打开数据的审计功能,应用层也不会记录SQL的执行信息:但是生产上经常会遇到某张表的某几条被修改掉,但是应用又查不到是哪个接口修改的记录,这时候Logminer  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrka8M.html" rel="bookmark" class="title">xampp-xmapp Apache启动不了，端口号没有冲突</a>
					<div>
						问题描述 xmapp Apache启动不了,端口号没有冲突 向各位大神求教,我Apache启动不了,提示busy--apache service started,我搜了好多网页,端口号啥的都没有冲突, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NK91M.html" rel="bookmark" class="title">《数值分析（原书第2版）》&mdash;&mdash; 2&period;6　用于对称正定矩阵的方法</a>
					<div>
						2.6 用于对称正定矩阵的方法 对称矩阵由于它们的特殊结构,和一般的矩阵相比,它们只有一半数量的独立元素,在线性方程组求解中占据一个有利的位置.这就提出了一个问题,形如LU的分解是否可以用一半的计算代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NPDXM.html" rel="bookmark" class="title">关于java的使用</a>
					<div>
						问题描述 大家好,我是java的初学者.我在很多论坛上都看到别人讨论说java主要是做web开发和手机开发的,既然java是做web开发的那jsp是做什么的呀?jsp不是专门用来web开发的吗?jsp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NvKLM.html" rel="bookmark" class="title">new-在Eclipse 里为新建的java类指定父类不识别</a>
					<div>
						问题描述 在Eclipse 里为新建的java类指定父类不识别 不知道什么原因,在eclipse 建好的工程中,File-&gt;New-&gt;class 里,填好了子类的名字 在Superclas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLDG5p.html" rel="bookmark" class="title">验证码程序Demo</a>
					<div>
						       小伙伴都有这样的经历,册各种网站,总是输不对验证码,双十一那天狂买的小伙伴是不是对输入验证码有着不一样的感触呢,以前觉得验证码真是个麻烦鬼,一个不小心,一个眼拙,哎呦,没有输入正确,又是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLxaNp.html" rel="bookmark" class="title">Websphere6&period;1 如何设置保存JSP 编译器生成的 Java 文件</a>
					<div>
						问题描述 请问如何设置保存jsp编译器生成的Java文件,目前在ibm-web-ext.xmi文件中设置&lt;jspAttributesxmi:id=&quot;JSPAttribute_1&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqXlyz.html" rel="bookmark" class="title">JQery jstree 大数据量问题解决方法&lowbar;jquery</a>
					<div>
						问题解决:生成的树是逐级加载的,在open函数中有一个生成节点的代码: 代码 复制代码 代码如下: for (var i=0; i&lt;data.length; i++) { var n = TRE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5qJOp.html" rel="bookmark" class="title">赚友博客：从色搜看色情搜索引擎</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 色搜这个词在各大媒体曝光之后,在今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoyk8M.html" rel="bookmark" class="title">当当网第二季度总净营收为19&period;608亿元，同比增长31&period;3&percnt;</a>
					<div>
						摘要: 当当今日发布财报数据,财报显示, 当当网 第二季度总净营收为19.608亿元,同比增长31.3%,当当第二季度净利润2880万元,连续3个季度盈利. 尽管当当又一次实现盈利,不过,电商行业 当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JQE3z.html" rel="bookmark" class="title">通信连接-C&num;写蓝牙连接失败的问题</a>
					<div>
						问题描述 C#写蓝牙连接失败的问题 在连接的时候出现 在其上下文中,该地址无效 解决方案 设备管理查看蓝牙是否可用?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLwNnM.html" rel="bookmark" class="title">炫动联手睿稚开发国内儿童教育市场</a>
					<div>
						国内知名儿童启蒙教育公司睿稚集团3月23日向&lt;第一财经日报&gt;证实,公司和炫动传播联合投资成立哈哈恒育http://www.aliyun.com/zixun/aggregation/3251 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJ7Bqp.html" rel="bookmark" class="title">JS构造函数与原型prototype的区别介绍&lowbar;javascript技巧</a>
					<div>
						构造函数方法很好用,但是存在一个浪费内存 通过原型法分配的函数是所有对象共享的. 通过原型法分配的属性是独立.-----如果你不修改属性,他们是共享 如果我们希望所有的对象使用同一一个函数,最好使用原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q1XZM.html" rel="bookmark" class="title">PHP 编程的 5个良好习惯&lowbar;php技巧</a>
					<div>
						根据具体的情况,一般的开发人员往往比优秀的开发人员的效率低 10%~20%.优秀的开发人员的效率更高,因为他们拥有丰富的经验和良好的编程习惯.不良的编程习惯将会影响到效率.本文通过展示一些良好的编程习 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY93Ab.html" rel="bookmark" class="title">php中SimpleXML生成与解析xml文件</a>
					<div>
						例,生成xml文档  代码如下 复制代码 class SimpleXMLExtended extends SimpleXMLElement {   public function addCData($ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
